Opened 13 years ago

Closed 13 years ago

#30 closed defect (fixed)

Fix for Webbui on Ubuntu 8.10 AMD64

Reported by: christian@… Owned by: bas
Priority: major Milestone: 5.5.0-5
Version: trunk Keywords:
Cc:

Description

Please consider changing:

--- dsm_om_connsvc~	2008-01-16 10:18:10.000000000 +0100
+++ dsm_om_connsvc	2009-03-05 11:42:06.000000000 +0100
@@ -175,7 +175,7 @@
 	fi
 
 	echo -n $"Starting ${PROGRAM_NAME}: "
-	START_DAEMON ${PROGRAM_DAEMON} -run
+	START_DAEMON ${PROGRAM_DAEMON} -clrun >/dev/null 2>&1 &
 	RETVAL=$?
 
 	# check for successful daemon start

Change History (6)

comment:1 Changed 13 years ago by anonymous

Also, please consider this patch:

--- dataeng.orig	2008-01-16 10:18:10.000000000 +0100
+++ dataeng	2009-03-05 19:39:26.000000000 +0100
@@ -97,7 +97,8 @@
 DENG_FWSNMP_SCRIPT="${DENG_INSTALL_DIR}/bin/dcfwsnmp.sh"
 DENG_FWSNMP_OFF_FILE="${DENG_INSTALL_DIR}/dcfwsnmp.off"
 DENG_DCSNMP_OFF_FILE="${DENG_INSTALL_DIR}/dcsnmp.off"
-DENG_LOCK_FILE="/var/lock/subsys/${DENG_SCRIPT_NAME}"
+DENG_LOCK_DIR="/var/lock/subsys"
+DENG_LOCK_FILE="${DENG_LOCK_DIR}/${DENG_SCRIPT_NAME}"
 
 # Systems Management Device Drivers variables
 ISVCDD_SCRIPT="${OS_INITSCRIPT_DIR}/instsvcdrv"
@@ -405,6 +406,7 @@
 	then
 		# Make sure lock file exists
 		# when Data Engine daemons are running
+		mkdir -p ${DENG_LOCK_DIR}
 		touch ${DENG_LOCK_FILE}
 	fi

comment:2 Changed 13 years ago by bas

  • Owner set to bas
  • Status changed from new to assigned

The first fix is already in the new 5.5.0-3 and the last one is now applied and will be in the next release. Thanks

comment:3 Changed 13 years ago by anonymous

Thanks for the quick response.

Additionally, I think the AMD64 edition should either bundle these 32bit libraries:

/lib32/libselinux.so.1
/lib32/libsepol.so.1
/lib32/secutiry/*

...or depend on 32bit editions of:

  • libpam-modules
  • libselinux1
  • libsepol1

Cheers

comment:4 Changed 13 years ago by anonymous

Along with with patch:

--- /etc/pam.d/omauth~	2007-08-03 08:16:11.000000000 +0200
+++ /etc/pam.d/omauth	2009-03-06 10:50:31.000000000 +0100
@@ -1,8 +1,8 @@
 #%PAM-1.0
 #auth       required     pam_stack.so service=system-auth
-#auth       required	/lib/security/pam_nologin.so
+#auth       required	/lib32/security/pam_nologin.so
 #account    required	pam_stack.so service=system-auth
 
-auth       required     /lib/security/pam_unix.so nullok
-auth       required     /lib/security/pam_nologin.so
-account    required     /lib/security/pam_unix.so nullok
+auth       required     /lib32/security/pam_unix.so nullok
+auth       required     /lib32/security/pam_nologin.so
+account    required     /lib32/security/pam_unix.so nullok

comment:5 Changed 13 years ago by anonymous

We will add the dependencies and come up with a new omauth for amd64. Thanks for the suggestions. We do no use the webserver at all, we have DRAC in our machines

comment:6 Changed 13 years ago by bas

  • Milestone set to 5.5.0-5
  • Resolution set to fixed
  • Status changed from assigned to closed
  • Version changed from 5.5.0 to trunk

everything is applied to trunk

Note: See TracTickets for help on using tickets.